%define name docbook-dtd41-sgml
%define version 1.0 
%define release 4mdk          
%define dtdver 4.1
%define sgmlbase %{_datadir}/sgml

Name        	: %{name}
Version     	: %{version}
Release     	: %{release}
Group       	: Publishing

Summary     	: SGML document type definition for DocBook %{dtdver}.

License   	: Distributable
URL         	: http://www.oasis-open.org/docbook/

Obsoletes       : docbook
Provides        : docbook-dtd-sgml
Requires    	: sgml-common >= 0.2
Prereq		: sgml-common

BuildRoot   	: %{_tmppath}/%{name}-buildroot

Prefix          : %{_prefix}          
# Zip file downloadable from http://www.oasis-open.org/docbook/sgml/%{dtdver}/
Source0		: docbk41.tar.bz2 
Patch0          : %{name}-%{version}.catalog.patch.bz2
BuildArch	: noarch  


%Description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages).
This syntax is SGML-compliant and is developed by the OASIS consortium.
This is the version %{dtdver} of this DTD.


%Prep
%setup
%patch -p1 

%Build


%Install
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/docbook/sgml-dtd-%{dtdver}
install *.dcl $RPM_BUILD_ROOT%{sgmlbase}/docbook/sgml-dtd-%{dtdver}
install docbook.cat $RPM_BUILD_ROOT%{sgmlbase}/docbook/sgml-dtd-%{dtdver}/catalog
install *.dtd $RPM_BUILD_ROOT%{sgmlbase}/docbook/sgml-dtd-%{dtdver}
install *.mod $RPM_BUILD_ROOT%{sgmlbase}/docbook/sgml-dtd-%{dtdver}


%Clean
rm -rf $RPM_BUILD_ROOT


%Files
%defattr (0644,root,root,0755)
%doc *.txt
%{sgmlbase}/docbook/sgml-dtd-%{dtdver}


%Post
%{_bindir}/install-catalog --add /etc/sgml/sgml-docbook-%{dtdver}.cat %{sgmlbase}/sgml-iso-entities-8879.1986/catalog > /dev/null 2>/dev/null
%{_bindir}/install-catalog --add /etc/sgml/sgml-docbook-%{dtdver}.cat %{sgmlbase}/docbook/sgml-dtd-%{dtdver}/catalog > /dev/null 2>/dev/null
ln -s -f /etc/sgml/sgml-docbook-%{dtdver}.cat /etc/sgml/sgml-docbook.cat


%Postun
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    %{_bindir}/install-catalog --remove /etc/sgml/sgml-docbook-%{dtdver}.cat %{sgmlbase}/sgml-iso-entities-8879.1986/catalog > /dev/null 2>/dev/null
    %{_bindir}/install-catalog --remove /etc/sgml/sgml-docbook-%{dtdver}.cat %{sgmlbase}/docbook/sgml-dtd-%{dtdver}/catalog > /dev/null 2>/dev/null
fi

if [ ! -e /etc/sgml/sgml-docbook-%{dtdver}.cat ]
then rm -f /etc/sgml/sgml-docbook.cat
     OTHERCAT=`ls /etc/sgml/sgml-docbook-?.?.cat 2> /dev/null | head --lines 1`
     if [ -n "$OTHERCAT" ]; then ln -s $OTHERCAT /etc/sgml/sgml-docbook.cat; fi
fi

 
%changelog
* Mon Jun 11 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-4mdk
- Merge patches from Abel Cheung:
- Simplify %%files
- Source is not downloadable itself, it's just a re-compressed archive
- Removed useless variable
- Corrected file permissions
- More macros
- Rearrange BuildArch to bottom, no idea why source and patch refuses to be
  removed otherwise

* Tue Mar 13 2001 Camille Begnis <camille@mandrakesoft.com> 1.0-3mdk
- Redirect install-catalog output to /dev/null

* Thu Oct 19 2000 Camille Begnis <camille@mandrakesoft.com> 1.0-2mdk
- put DTD version in %%{dtdver}

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 1.0-1mdk
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Obsoletes docbook
- Pre-LSB compliance
